# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kiroku-tui"
version = "0.3.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple, terminal-based personal journaling and note-taking tool."
readme = "README.md"
keywords = [
    "tui",
    "journal",
    "notes",
    "cli",
    "productivity",
]
categories = [
    "command-line-utilities",
    "text-processing",
]
license = "MIT"
repository = "https://github.com/gab-dev-7/kiroku"

[lib]
name = "kiroku_tui"
path = "src/lib.rs"

[[bin]]
name = "kiroku"
path = "src/main.rs"

[[test]]
name = "folder_support"
path = "tests/folder_support.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.arboard]
version = "3.6.1"
features = ["wayland-data-control"]

[dependencies.chrono]
version = "0.4.43"

[dependencies.crossterm]
version = "0.29.0"

[dependencies.dirs]
version = "6.0.0"

[dependencies.fuzzy-matcher]
version = "0.3.7"

[dependencies.log]
version = "0.4"

[dependencies.notify]
version = "8.0.0"

[dependencies.ratatui]
version = "0.30.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_yaml]
version = "0.9"

[dependencies.thiserror]
version = "2.0"

[dependencies.toml]
version = "0.8"

[dependencies.tui-logger]
version = "0.18.1"

[dependencies.walkdir]
version = "2.5.0"

[dev-dependencies.tempfile]
version = "3.24.0"
